Page MenuHomePhabricator

AliasesEdit component: implement UI-only behavior
Closed, ResolvedPublic

Description

  • component data (list of aliases) is a string array, and a language
  • each individual alias gets passed to the textarea component
  • should have n+1 textareas, n being the number of aliases
  • on textarea @blur filter out empty aliases

Component structure:

  • AliasesEdit
    • TermboxTermTextarea coming soon (tm) <- placeholder, limit, alias value

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2019, 2:15 PM
Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-13 board.
Jakob_WMDE removed Jakob_WMDE as the assignee of this task.Apr 11 2019, 10:27 AM
Jakob_WMDE moved this task from Doing to To Do on the Wikidata-Termbox-Iteration-13 board.
Pablo-WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-13 board.
Jakob_WMDE closed this task as Resolved.Apr 23 2019, 12:20 PM